## scid 3.2

=== Makefile ===
##### Makefile for Scid for Unix operating systems.

### Compiler: Most Unix systems use g++ for compiling and linking.
#
COMPILE = g++
CC = gcc
LINK = g++

# BINDIR: where the Scid programs are copied for "make install".
#
BINDIR = /usr/local/bin

# SHAREDIR: where scid.eco and spelling.ssp are copied for "make install".
#
SHAREDIR = /usr/local/share/scid

### TCL_VERSION: Set this according to the version of Tcl/Tk you have
#   installed that you want Scid to use: 8.0, 8.1, 8.2, 8.3, etc.
#
TCL_VERSION = 8.3

# TCL_INCLUDE, TCL_LIBRARY, TK_LIBRARY: these are the compiler options
#    needed for linking Scid with Tcl/Tk.  The program "./configure"
#    will try to determine them automatically, but if it cannot, you
#    can use the examples below for help in setting these variables.
#
# You have not run "./configure" yet.  The default settings are:
#
TCL_INCLUDE = -I/usr/include
TCL_LIBRARY = -L/usr/lib -ltcl$(TCL_VERSION) -ldl
TK_LIBRARY  = $(TCL_LIBRARY) -ltk$(TCL_VERSION) -L/usr/X11R6/lib -lX11

### Here are other commonly used settings for the Tcl/Tk compiler options:

### Linux (Red Hat and other distributions):
# TCL_INCLUDE = -I /usr/include
# TCL_LIBRARY = -L /usr/lib -ltcl$(TCL_VERSION) -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -ltk$(TCL_VERSION) -L /usr/X11R6/lib -lX11

### Solaris:
# TCL_INCLUDE = -I /usr/local/tcl/include
# TCL_LIBRARY = -L /usr/local/tcl/lib -ltcl$(TCL_VERSION) -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -ltk$(TCL_VERSION)

# Someone sent me these settings for SuSE Linux 6.1:
### Linux (SuSE distribution):
# TCL_INCLUDE = -I /usr/X11R6/include
# TCL_LIBRARY = -L /usr/lib -ltcl$(TCL_VERSION) -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -L /usr/X11R6/lib -ltk$(TCL_VERSION) -lX11

# Someone sent me these settings for FreeBSD with Tcl/Tk 8.0:
### FreeBSD:
# TCL_INCLUDE = -I /usr/local/include/tcl8.0 -I /usr/local/include/tk8.0
# TCL_LIBRARY = -L /usr/local/lib -ltcl80 -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -ltk80 -L /usr/X11/lib -lX11


########################################
### Compiler options:

### TB: Using Nalimov tablebases with Scid. Use "TB = -DSCID_USE_TB" for 
#      tablebase support, or just "TB = " for no tablebase capability.
#      Use "TB = -DSCID_USE_TB -DT41_INCLUDE" to include use of 4-1
#      (King + 3 pieces vs lone king) tablebases.
#
TB = -DSCID_USE_TB -DT41_INCLUDE

### SCIDFLAGS: Scid customization flags.
#      Use -DZLIB if your system does not have zlib and you need
#      to include the code in the src/zlib directory.
#      The default is to use the system zlib library.
#
SCIDFLAGS = 

### OPTIMIZE: Optimization options for C++ compiler.
#      -O4 is the most optimization for g++. I have found -O2 to do
#      just as well, but someone reported a noticable difference in speed
#      between -O4 and -O2 so the default here is -O4.
#      On some systems, adding "-fno-rtti" and "-fno-exceptions" produces
#      smaller, faster programs since Scid does not use those C++ features.
#
OPTIMIZE = -O4 -fno-rtti -fno-exceptions

### DEBUG: Defining the macro ASSERTIONS will turn on assertions, which
#       helps to track bugs after modifications, but the programs will run 
#       a little faster with assertions turned off.
#
DEBUG = #-DASSERTIONS

### WARNINGS: I always compile with all warnings on (-Wall), and all the
#       files should compile warning-free using g++.
#
WARNINGS = -Wall

### PROFILE: Set this to "-pg" for profiling in g++ and gcc.
#
PROFILE = 

### CPP_FLAGS: Flags for C++ compilation.
#
CPP_FLAGS = $(PROFILE) $(OPTIMIZE) $(WARNINGS) $(DEBUG) $(SCIDFLAGS)

### CFLAGS: Flags for C compilation (only used for compiling zlib).
#
CFLAGS = -O2 -Wall $(PROFILE)

### LANGUAGES: List of additional Tcl files to include in Scid for
#       multi-language menu support.
#       By default, it is all the contributed languages, but you
#       can reduce the size of the Scid program by only specifying
#       the languages you want supported.
#
LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/serbian.tcl


############################################################
#
# You should not need to edit anything below this line.
#
############################################################

### EXECS: executable programs compiled from C++ files.
#     Note: scidt and eco2epd are obsolete and not compiled by default.
#
EXECS= pgnscid tkscid tcscid scmerge

### SCIDOBJS: not all the .o files that make up Scid, just the standard ones 
#     that most of the programs include.
#
SCIDOBJS= src/misc.o src/index.o src/date.o src/namebase.o src/position.o \
      src/game.o src/gfile.o src/matsig.o src/bytebuf.o src/textbuf.o \
      src/myassert.o src/stralloc.o src/mfile.o src/dstring.o src/pgnparse.o \
      src/stored.o

### ZLIBOBJS: object files in the zlib compression library.
#
ZLIBOBJS= src/zlib/adler32.o src/zlib/compress.o src/zlib/crc32.o \
      src/zlib/gzio.o src/zlib/uncompr.o src/zlib/deflate.o src/zlib/trees.o \
      src/zlib/zutil.o src/zlib/inflate.o src/zlib/infblock.o \
      src/zlib/inftrees.o src/zlib/infcodes.o src/zlib/infutil.o \
      src/zlib/inffast.o

### ZLIB: Should be "-lz" if your system has zlib, "" otherwise.
#
ZLIB = -lz

### OBJS: Will be "$(SCIDOBJS)", and also "$(ZLIBOBJS)" if they are
#      needed on your system.
OBJS= $(SCIDOBJS)

### TCLS: all the .tcl files that make up "scid".
#
TCLS= tcl/start.tcl tcl/bitmaps.tcl tcl/menus.tcl tcl/windows.tcl \
      tcl/htext.tcl tcl/help.tcl tcl/tips.tcl tcl/misc.tcl tcl/search.tcl \
      tcl/ezsmtp/ezsmtp.tcl \
      tcl/email.tcl tcl/epd.tcl tcl/fontsel.tcl tcl/basewind.tcl \
      tcl/import.tcl tcl/spellchk.tcl tcl/graph.tcl tcl/maint.tcl \
      tcl/optable.tcl tcl/analysis.tcl tcl/wbdetect.tcl tcl/reper.tcl \
      tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
      tcl/bookmark.tcl tcl/board.tcl tcl/end.tcl

### SCRIPTS: small extra programs written in Tcl using tcscid.
#
SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_tree scidpgn pgnfix

####################

### Type "make" or "make all" to make all programs:
#
all: scid $(SCRIPTS) $(EXECS)

### To copy all executables to $BINDIR, with read and execute permission 
#   for all users, and put extra files in $SHAREDIR, type "make install".
#
install: all
	install -m 755 -d $(BINDIR)
	install -m 755 scid $(SCRIPTS) $(EXECS) $(BINDIR)
	-install -m 755 -d $(SHAREDIR)
	-install -m 644 -p scid.eco spelling.ssp $(SHAREDIR)

old-install: all
	chmod 755 scid $(SCRIPTS) $(EXECS)
	cp scid $(SCRIPTS) $(EXECS) $(BINDIR)
	-mkdir -p $(SHAREDIR)
	-chmod a+rx $(SHAREDIR)
	-cp ./scid.eco $(SHAREDIR)/scid.eco
	-cp ./spelling.ssp $(SHAREDIR)/spelling.ssp
	-chmod a+r $(SHAREDIR)/scid.eco $(SHAREDIR)/spelling.ssp

### To remove Scid files placed in the BINDIR and SHAREDIR directories,
#   type "make distclean".
#
distclean:
	cd $(BINDIR) && rm -f $(EXECS) $(SCRIPTS)
	-rm -f $(SHAREDIR)/scid.eco
	-rm -f $(SHAREDIR)/spelling.ssp

### To remove object and executable files: type "make clean".
#
clean:
	rm -f src/*.o src/zlib/*.o $(EXECS) scid $(SCRIPTS)

### To make the executable files smaller: type "make strip".
#
strip:
	strip $(EXECS)

### To compress scid and executables with gzexe: type "make gzexe".
#
gzexe:
	gzexe $(EXECS) scid


scid: $(TCLS)
	rm -f ./scid
	cat $(TCLS) > ./scid
	chmod +x scid

sc_addmove: scripts/sc_addmove.tcl
	cp scripts/sc_addmove.tcl ./sc_addmove
	chmod +x sc_addmove

sc_epgn: scripts/sc_epgn.tcl
	cp scripts/sc_epgn.tcl ./sc_epgn
	chmod +x sc_epgn

sc_spell: scripts/sc_spell.tcl
	cp scripts/sc_spell.tcl ./sc_spell
	chmod +x sc_spell

sc_eco: scripts/sc_eco.tcl
	cp scripts/sc_eco.tcl ./sc_eco
	chmod +x sc_eco

sc_import: scripts/sc_import.tcl
	cp scripts/sc_import.tcl ./sc_import
	chmod +x sc_import

sc_tree: scripts/sc_tree.tcl
	cp scripts/sc_tree.tcl ./sc_tree
	chmod +x sc_tree

sc_maketree: scripts/sc_maketree.tcl
	cp scripts/sc_maketree.tcl ./sc_maketree
	chmod +x sc_maketree

scidpgn: scripts/scidpgn.tcl
	cp scripts/scidpgn.tcl ./scidpgn
	chmod +x scidpgn

tbstats: scripts/tbstats.tcl
	cp scripts/tbstats.tcl ./tbstats
	chmod +x tbstats

wmtest: scripts/wmtest.tk
	cp scripts/wmtest.tk ./wmtest
	chmod +x wmtest

pgnfix: scripts/pgnfix.py
	cp scripts/pgnfix.py ./pgnfix
	chmod +x pgnfix

eco2pgn: scripts/eco2pgn.py
	cp scripts/eco2pgn.py ./eco2pgn
	chmod +x eco2pgn

twic2pgn: scripts/twic2pgn.py
	cp scripts/twic2pgn.py ./twic2pgn
	chmod +x twic2pgn

scmerge: src/scmerge.o src/misc.o src/index.o src/date.o src/namebase.o \
          src/gfile.o src/bytebuf.o src/textbuf.o src/myassert.o \
          src/stralloc.o
	$(LINK) -o scmerge src/scmerge.o $(OBJS) $(ZLIB)

pgnscid: src/pgnscid.o $(OBJS)
	$(LINK) $(PROFILE) -o pgnscid src/pgnscid.o $(OBJS) $(ZLIB)

scidt: src/scidt.o $(OBJS)
	$(LINK) -o scidt src/scidt.o $(OBJS) $(ZLIB)

tkscid: src/tkscid.o $(OBJS) src/tree.o src/filter.o \
         src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o
	$(LINK) -o tkscid src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o $(ZLIB) $(TK_LIBRARY)

tcscid: src/tcscid.o $(OBJS) src/tree.o src/filter.o \
          src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o
	$(LINK) -o tcscid src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o $(ZLIB) $(TCL_LIBRARY)

# eco2epd is now optional extra program NOT compiled by default, since
# scid now reads the .eco file format directly.
eco2epd: src/eco2epd.o $(OBJS) src/pbook.o
	$(LINK) -o eco2epd src/eco2epd.o $(OBJS) src/pbook.o $(ZLIB)

### Rules to create .o files from .cpp files:
#
src/tcscid.o: src/tkscid.cpp
	$(COMPILE) $(CPP_FLAGS) $(TCL_INCLUDE) -DTCL_ONLY -o src/tcscid.o -c src/tkscid.cpp

src/tkscid.o: src/tkscid.cpp
	$(COMPILE) $(CPP_FLAGS) $(TCL_INCLUDE) -o src/tkscid.o -c src/tkscid.cpp

### The endgame tablebase code in the egtb/ subdirectory (not written by me)
#   gives many warnings, so compile probe.cpp with warnings turned off:
#
src/probe.o: src/probe.cpp src/egtb/tbindex.cpp src/egtb/tbdecode.c
	$(COMPILE) $(PROFILE) $(OPTIMIZE) $(DEBUG) $(SCIDFLAGS) $(TB) -o src/probe.o -c src/probe.cpp

### Generic rule for all other .cpp files:
#
%.o: %.cpp
	$(COMPILE) $(CPP_FLAGS) -o $@ -c $<

### Rule for compiling zlib source files:
#
src/zlib/%.o: src/zlib/%.c
	$(CC) $(CFLAGS) -o $@ -c $<

### End of Makefile

## scid 3.5

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 COMPILE = g++
 CC = gcc
 LINK = g++
+DESTDIR =
 
 # BINDIR: where the Scid programs are copied for "make install".
 #
@@ -70,7 +71,7 @@
 #      to include the code in the src/zlib directory.
 #      The default is to use the system zlib library.
 #
-SCIDFLAGS = 
+SCIDFLAGS =  -DZLIB
 
 ### OPTIMIZE: Optimization options for C++ compiler.
 #      -O4 is the most optimization for g++. I have found -O2 to do
@@ -110,7 +111,7 @@
 #       can reduce the size of the Scid program by only specifying
 #       the languages you want supported.
 #
-LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/serbian.tcl
+LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/hungary.tcl tcl/serbian.tcl tcl/russian.tcl
 
 
 ############################################################
@@ -122,7 +123,7 @@
 ### EXECS: executable programs compiled from C++ files.
 #     Note: scidt and eco2epd are obsolete and not compiled by default.
 #
-EXECS= pgnscid tkscid tcscid scmerge
+EXECS= pgnscid tkscid tcscid scmerge scidlet
 
 ### SCIDOBJS: not all the .o files that make up Scid, just the standard ones 
 #     that most of the programs include.
@@ -130,7 +131,7 @@
 SCIDOBJS= src/misc.o src/index.o src/date.o src/namebase.o src/position.o \
       src/game.o src/gfile.o src/matsig.o src/bytebuf.o src/textbuf.o \
       src/myassert.o src/stralloc.o src/mfile.o src/dstring.o src/pgnparse.o \
-      src/stored.o
+      src/stored.o src/movelist.o
 
 ### ZLIBOBJS: object files in the zlib compression library.
 #
@@ -142,11 +143,11 @@
 
 ### ZLIB: Should be "-lz" if your system has zlib, "" otherwise.
 #
-ZLIB = -lz
+ZLIB = 
 
 ### OBJS: Will be "$(SCIDOBJS)", and also "$(ZLIBOBJS)" if they are
 #      needed on your system.
-OBJS= $(SCIDOBJS)
+OBJS= $(SCIDOBJS) $(ZLIBOBJS)
 
 ### TCLS: all the .tcl files that make up "scid".
 #
@@ -155,13 +156,15 @@
       tcl/ezsmtp/ezsmtp.tcl \
       tcl/email.tcl tcl/epd.tcl tcl/fontsel.tcl tcl/basewind.tcl \
       tcl/import.tcl tcl/spellchk.tcl tcl/graph.tcl tcl/maint.tcl \
-      tcl/optable.tcl tcl/analysis.tcl tcl/wbdetect.tcl tcl/reper.tcl \
-      tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
-      tcl/bookmark.tcl tcl/board.tcl tcl/end.tcl
-
-### SCRIPTS: small extra programs written in Tcl using tcscid.
-#
-SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_tree scidpgn pgnfix
+      tcl/optable.tcl tcl/preport.tcl tcl/analysis.tcl tcl/wbdetect.tcl \
+      tcl/reper.tcl tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
+      tcl/bookmark.tcl tcl/board.tcl tcl/tb.tcl tcl/end.tcl
+
+### SCRIPTS:
+# Small extra programs. Most are written in Tcl using tcscid, but
+# a few contributed ones may be in Python or other languages.
+#
+SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_remote sc_tree scidpgn pgnfix spliteco
 
 ####################
 
@@ -173,10 +176,10 @@
 #   for all users, and put extra files in $SHAREDIR, type "make install".
 #
 install: all
-	install -m 755 -d $(BINDIR)
-	install -m 755 scid $(SCRIPTS) $(EXECS) $(BINDIR)
-	-install -m 755 -d $(SHAREDIR)
-	-install -m 644 -p scid.eco spelling.ssp $(SHAREDIR)
+	install -m 755 -d $(DESTDIR)$(BINDIR)
+	install -m 755 scid $(SCRIPTS) $(EXECS) $(DESTDIR)$(BINDIR)
+	-install -m 755 -d $(DESTDIR)$(SHAREDIR)
+	-install -m 644 -p scid.eco spelling.ssp $(DESTDIR)$(SHAREDIR)
 
 old-install: all
 	chmod 755 scid $(SCRIPTS) $(EXECS)
@@ -236,6 +239,10 @@
 	cp scripts/sc_import.tcl ./sc_import
 	chmod +x sc_import
 
+sc_remote: scripts/sc_remote.tk
+	cp scripts/sc_remote.tk ./sc_remote
+	chmod +x sc_remote
+
 sc_tree: scripts/sc_tree.tcl
 	cp scripts/sc_tree.tcl ./sc_tree
 	chmod +x sc_tree
@@ -247,6 +254,10 @@
 scidpgn: scripts/scidpgn.tcl
 	cp scripts/scidpgn.tcl ./scidpgn
 	chmod +x scidpgn
+
+spliteco: scripts/spliteco.tcl
+	cp scripts/spliteco.tcl ./spliteco
+	chmod +x spliteco
 
 tbstats: scripts/tbstats.tcl
 	cp scripts/tbstats.tcl ./tbstats
@@ -276,16 +287,20 @@
 pgnscid: src/pgnscid.o $(OBJS)
 	$(LINK) $(PROFILE) -o pgnscid src/pgnscid.o $(OBJS) $(ZLIB)
 
+scidlet: src/scidlet.o src/engine.o src/recog.o src/misc.o src/position.o \
+          src/dstring.o src/movelist.o
+	$(LINK) -o scidlet src/scidlet.o src/engine.o src/recog.o src/misc.o src/position.o src/movelist.o src/dstring.o
+
 scidt: src/scidt.o $(OBJS)
 	$(LINK) -o scidt src/scidt.o $(OBJS) $(ZLIB)
 
-tkscid: src/tkscid.o $(OBJS) src/tree.o src/filter.o \
-         src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o
-	$(LINK) -o tkscid src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o $(ZLIB) $(TK_LIBRARY)
-
-tcscid: src/tcscid.o $(OBJS) src/tree.o src/filter.o \
-          src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o
-	$(LINK) -o tcscid src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o $(ZLIB) $(TCL_LIBRARY)
+tkscid: src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o \
+          src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o
+	$(LINK) -o tkscid src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o $(ZLIB) $(TK_LIBRARY)
+
+tcscid: src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o \
+          src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o
+	$(LINK) -o tcscid src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o $(ZLIB) $(TCL_LIBRARY)
 
 # eco2epd is now optional extra program NOT compiled by default, since
 # scid now reads the .eco file format directly.

## scid 3.6.1

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 #       can reduce the size of the Scid program by only specifying
 #       the languages you want supported.
 #
-LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/hungary.tcl tcl/serbian.tcl tcl/russian.tcl
+LANGUAGES = tcl/lang/deutsch.tcl tcl/lang/francais.tcl tcl/lang/italian.tcl tcl/lang/nederlan.tcl tcl/lang/spanish.tcl tcl/lang/portbr.tcl tcl/lang/swedish.tcl tcl/lang/norsk.tcl tcl/lang/polish.tcl tcl/lang/czech.tcl tcl/lang/hungary.tcl tcl/lang/serbian.tcl
 
 
 ############################################################
@@ -151,14 +151,40 @@
 
 ### TCLS: all the .tcl files that make up "scid".
 #
-TCLS= tcl/start.tcl tcl/bitmaps.tcl tcl/menus.tcl tcl/windows.tcl \
-      tcl/htext.tcl tcl/help.tcl tcl/tips.tcl tcl/misc.tcl tcl/search.tcl \
-      tcl/ezsmtp/ezsmtp.tcl \
-      tcl/email.tcl tcl/epd.tcl tcl/fontsel.tcl tcl/basewind.tcl \
-      tcl/import.tcl tcl/spellchk.tcl tcl/graph.tcl tcl/maint.tcl \
-      tcl/optable.tcl tcl/preport.tcl tcl/analysis.tcl tcl/wbdetect.tcl \
-      tcl/reper.tcl tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
-      tcl/bookmark.tcl tcl/board.tcl tcl/tb.tcl tcl/end.tcl
+TCLS= \
+  tcl/start.tcl \
+  tcl/bitmaps.tcl \
+  tcl/language.tcl \
+  tcl/utils.tcl \
+    tcl/utils/date.tcl tcl/utils/font.tcl tcl/utils/graph.tcl tcl/utils/history.tcl \
+    tcl/utils/pane.tcl tcl/utils/sound.tcl tcl/utils/string.tcl tcl/utils/tooltip.tcl \
+    tcl/utils/validate.tcl tcl/utils/win.tcl \
+  tcl/misc/misc.tcl tcl/htext.tcl \
+  tcl/contrib/combobox.tcl \
+  tcl/file.tcl \
+    tcl/file/finder.tcl tcl/file/bookmark.tcl tcl/file/recent.tcl tcl/file/epd.tcl \
+    tcl/file/spellchk.tcl tcl/file/maint.tcl \
+  tcl/edit.tcl \
+  tcl/game.tcl \
+    tcl/game/browser.tcl \
+  tcl/windows.tcl \
+    tcl/windows/gamelist.tcl tcl/windows/pgn.tcl \
+    tcl/windows/comment.tcl tcl/windows/eco.tcl \
+    tcl/windows/stats.tcl tcl/windows/tree.tcl tcl/windows/crosstab.tcl \
+    tcl/windows/pfinder.tcl tcl/windows/tourney.tcl tcl/windows/switcher.tcl \
+  tcl/search/search.tcl \
+    tcl/search/board.tcl tcl/search/header.tcl tcl/search/material.tcl \
+  tcl/contrib/ezsmtp/ezsmtp.tcl \
+    tcl/tools/email.tcl \
+    tcl/tools/import.tcl \
+    tcl/tools/optable.tcl tcl/tools/preport.tcl tcl/tools/pinfo.tcl \
+    tcl/tools/analysis.tcl tcl/tools/wbdetect.tcl \
+    tcl/tools/reper.tcl tcl/tools/graphs.tcl tcl/tools/tablebase.tcl tcl/tools/ptracker.tcl \
+  tcl/help/help.tcl tcl/help/tips.tcl \
+  tcl/menus.tcl tcl/board.tcl tcl/move.tcl tcl/main.tcl \
+    tcl/lang/english.tcl $(LANGUAGES) \
+  tcl/end.tcl
+
 
 ### SCRIPTS:
 # Small extra programs. Most are written in Tcl using tcscid, but
@@ -321,14 +347,3 @@
 src/probe.o: src/probe.cpp src/egtb/tbindex.cpp src/egtb/tbdecode.c
 	$(COMPILE) $(PROFILE) $(OPTIMIZE) $(DEBUG) $(SCIDFLAGS) $(TB) -o src/probe.o -c src/probe.cpp
 
-### Generic rule for all other .cpp files:
-#
-%.o: %.cpp
-	$(COMPILE) $(CPP_FLAGS) -o $@ -c $<
-
-### Rule for compiling zlib source files:
-#
-src/zlib/%.o: src/zlib/%.c
-	$(CC) $(CFLAGS) -o $@ -c $<
-
-### End of Makefile

=== src/zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-1998 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

CFLAGS=-O -Wall
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=$(CC)
CPP=$(CC) -E

VER=1.1.3
LIBS=libz.a
SHAREDLIB=libz.so

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

DISTFILES = README FAQ INDEX ChangeLog configure Make*[a-z0-9] *.[ch] *.mms \
  algorithm.txt zlib.3 msdos/Make*[a-z0-9] msdos/zlib.def msdos/zlib.rc \
  nt/Make*[a-z0-9] nt/zlib.dnt amiga/Make*.??? os2/M*.os2 os2/zlib.def \
  contrib/RE*.contrib contrib/*.txt contrib/asm386/*.asm contrib/asm386/*.c \
  contrib/asm386/*.bat contrib/asm386/zlibvc.d?? contrib/asm[56]86/*.?86 \
  contrib/asm[56]86/*.S contrib/iostream/*.cpp \
  contrib/iostream/*.h  contrib/iostream2/*.h contrib/iostream2/*.cpp \
  contrib/untgz/Makefile contrib/untgz/*.c contrib/untgz/*.w32 \
  contrib/minizip/[CM]*[pe] contrib/minizip/*.[ch] contrib/minizip/*.[td]?? \
  contrib/delphi*/*.???

all: example minigzip

test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIB).$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIB).1
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIB).1

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(includedir)  ]; then mkdir $(includedir); fi
	-@if [ ! -d $(libdir) ]; then mkdir $(libdir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIB).$(VER); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIB).1; \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB); \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB).1; \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	v=$(VER); \
	if test -f zlib.h; then \
	  v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`; \
          rm -f zlib.h zconf.h; \
	fi; \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIB).$$v; then \
	  rm -f $(SHAREDLIB).$$v $(SHAREDLIB) $(SHAREDLIB).1; \
	fi

clean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz so_locations \
	   _match.s maketree

distclean:	clean

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

## scid 4.3.0.cvs20110714

=== Makefile ===
##### Makefile for Scid for Unix operating systems.

### Compiler: Most Unix systems use g++ for compiling and linking.
#
COMPILE = g++
CC = gcc
LINK = g++
DESTDIR =

# BINDIR: where the Scid programs are copied for "make install".
#
BINDIR = /usr/local/bin

# SHAREDIR: where scid.eco is copied for "make install".
#
SHAREDIR = /usr/local/share/scid

### TCL_VERSION: Set this according to the version of Tcl/Tk you have
#   installed that you want Scid to use: 8.0, 8.1, 8.2, 8.3, etc.
#
TCL_VERSION = 8.5

# TCL_INCLUDE, TCL_LIBRARY, TK_LIBRARY: these are the compiler options
#    needed for linking Scid with Tcl/Tk.  The program "./configure"
#    will try to determine them automatically, but if it cannot, you
#    can use the examples below for help in setting these variables.
#
# The settings determined by "./configure" are:
#
TCL_INCLUDE = -I/usr/include/tcl8.5
TCL_LIBRARY = -L/usr/lib -ltcl$(TCL_VERSION) -ldl
TK_LIBRARY  = $(TCL_LIBRARY) -ltk$(TCL_VERSION) -L/usr/lib/x86_64-linux-gnu -lX11

### Here are other commonly used settings for the Tcl/Tk compiler options:

### Linux (Red Hat and other distributions):
# TCL_INCLUDE = -I /usr/include
# TCL_LIBRARY = -L /usr/lib -ltcl$(TCL_VERSION) -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -ltk$(TCL_VERSION) -L /usr/X11R6/lib -lX11

### Solaris:
# TCL_INCLUDE = -I /usr/local/tcl/include
# TCL_LIBRARY = -L /usr/local/tcl/lib -ltcl$(TCL_VERSION) -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -ltk$(TCL_VERSION)

# Someone sent me these settings for SuSE Linux 6.1:
### Linux (SuSE distribution):
# TCL_INCLUDE = -I /usr/X11R6/include
# TCL_LIBRARY = -L /usr/lib -ltcl$(TCL_VERSION) -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -L /usr/X11R6/lib -ltk$(TCL_VERSION) -lX11

# Someone sent me these settings for FreeBSD with Tcl/Tk 8.0:
### FreeBSD:
# TCL_INCLUDE = -I /usr/local/include/tcl8.0 -I /usr/local/include/tk8.0
# TCL_LIBRARY = -L /usr/local/lib -ltcl80 -ldl
# TK_LIBRARY  = $(TCL_LIBRARY) -ltk80 -L /usr/X11/lib -lX11


########################################
### Compiler options:

### TB: Using Nalimov tablebases with Scid. Use "TB = -DSCID_USE_TB" for 
#      tablebase support, or just "TB = " for no tablebase capability.
#      Use "TB = -DSCID_USE_TB -DT41_INCLUDE" to include use of 4-1
#      (King + 3 pieces vs lone king) tablebases.
#
TB = -DSCID_USE_TB -DT41_INCLUDE

### SCIDFLAGS: Scid customization flags.
#      Use -DZLIB if your system does not have zlib and you need
#      to include the code in the src/zlib directory.
#      The default is to use the system zlib library.
#
SCIDFLAGS = 

### OPTIMIZE: Optimization options for C++ compiler.
#      -O3 is the most optimization for g++. I have found -O2 to do
#      just as well, but someone reported a noticable difference in speed
#      between -O3 and -O2 so the default here is -O3.
#      On some systems, adding "-fno-rtti" and "-fno-exceptions" produces
#      smaller, faster programs since Scid does not use those C++ features.
#
OPTIMIZE = -O3 -fno-rtti -fno-exceptions

### DEBUG: Defining the macro ASSERTIONS will turn on assertions, which
#       helps to track bugs after modifications, but the programs will run 
#       a little faster with assertions turned off.
#
DEBUG = #-DASSERTIONS

### WARNINGS: I always compile with all warnings on (-Wall), and all the
#       files should compile warning-free using g++.
#
WARNINGS = -Wall

### PROFILE: Set this to "-pg" for profiling in g++ and gcc.
#
PROFILE = 

### CPP_FLAGS: Flags for C++ compilation.
#
CPP_FLAGS = $(PROFILE) $(OPTIMIZE) $(WARNINGS) $(DEBUG) $(SCIDFLAGS)

### CFLAGS: Flags for C compilation (only used for compiling zlib).
#
CFLAGS = -O2 -Wall $(PROFILE)

### LANGUAGES: List of additional Tcl files to include in Scid for
#       multi-language menu support.
#       By default, it is all the contributed languages, but you
#       can reduce the size of the Scid program by only specifying
#       the languages you want supported.
#
LANGUAGES = tcl/lang/catalan.tcl tcl/lang/czech.tcl tcl/lang/deutsch.tcl tcl/lang/francais.tcl tcl/lang/greek.tcl tcl/lang/hungary.tcl tcl/lang/italian.tcl tcl/lang/nederlan.tcl tcl/lang/norsk.tcl tcl/lang/polish.tcl tcl/lang/portbr.tcl tcl/lang/russian.tcl tcl/lang/serbian.tcl tcl/lang/spanish.tcl tcl/lang/suomi.tcl tcl/lang/swedish.tcl


############################################################
#
# You should not need to edit anything below this line.
#
############################################################

### EXECS: executable programs compiled from C++ files.
#     Note: scidt and eco2epd are obsolete and not compiled by default.
#			PG : put back scidt has it appears to be useful in certain cases
#
EXECS= pgnscid tkscid tcscid scmerge scidlet scidt

### SCIDOBJS: not all the .o files that make up Scid, just the standard ones 
#     that most of the programs include.
#
SCIDOBJS= src/misc.o src/index.o src/date.o src/namebase.o src/position.o \
      src/game.o src/gfile.o src/matsig.o src/bytebuf.o src/textbuf.o \
      src/myassert.o src/stralloc.o src/mfile.o src/dstring.o src/pgnparse.o \
      src/stored.o src/movelist.o src/sortcache.o \
			src/polyglot/attack.o src/polyglot/board.o src/polyglot/book.o \
			src/polyglot/book_make.o src/polyglot/book_merge.o src/polyglot/colour.o \
      src/polyglot/fen.o src/polyglot/game.o src/polyglot/hash.o \
      src/polyglot/io.o src/polyglot/line.o src/polyglot/list.o src/polyglot/main.o src/polyglot/move.o \
      src/polyglot/move_do.o src/polyglot/move_gen.o src/polyglot/move_legal.o src/polyglot/option.o \
      src/polyglot/parse.o src/polyglot/pgn.o src/polyglot/piece.o src/polyglot/random.o \
      src/polyglot/san.o src/polyglot/search.o src/polyglot/square.o src/polyglot/util.o

### ZLIBOBJS: object files in the zlib compression library.
#
ZLIBOBJS= src/zlib/adler32.o src/zlib/compress.o src/zlib/crc32.o \
      src/zlib/gzio.o src/zlib/uncompr.o src/zlib/deflate.o src/zlib/trees.o \
      src/zlib/zutil.o src/zlib/inflate.o src/zlib/infblock.o \
      src/zlib/inftrees.o src/zlib/infcodes.o src/zlib/infutil.o \
      src/zlib/inffast.o

       
### ZLIB: Should be "-lz" if your system has zlib, "" otherwise.
#
ZLIB = -lz

### OBJS: Will be "$(SCIDOBJS)", "$(POLYGLOTOBJS)", and also "$(ZLIBOBJS)" if they are
#      needed on your system.
OBJS= $(SCIDOBJS)

### TCLS: all the .tcl files that make up "scid".
#
TCLS= \
  tcl/start.tcl \
  tcl/config.tcl \
  tcl/bitmaps.tcl \
  tcl/language.tcl \
  tcl/utils.tcl \
  tcl/misc/flags.tcl \
    tcl/utils/date.tcl tcl/utils/font.tcl tcl/utils/graph.tcl tcl/utils/history.tcl \
    tcl/utils/pane.tcl tcl/utils/sound.tcl tcl/utils/string.tcl tcl/utils/tooltip.tcl \
    tcl/utils/validate.tcl tcl/utils/win.tcl \
  tcl/misc/misc.tcl tcl/htext.tcl \
  tcl/file.tcl \
    tcl/file/finder.tcl tcl/file/bookmark.tcl tcl/file/recent.tcl tcl/file/epd.tcl \
    tcl/file/spellchk.tcl tcl/file/maint.tcl \
  tcl/edit.tcl \
  tcl/game.tcl \
    tcl/game/browser.tcl \
  tcl/windows.tcl \
    tcl/windows/gamelist.tcl tcl/windows/pgn.tcl tcl/windows/book.tcl \
    tcl/windows/comment.tcl tcl/windows/eco.tcl \
    tcl/windows/stats.tcl tcl/windows/tree.tcl tcl/windows/crosstab.tcl \
    tcl/windows/pfinder.tcl tcl/windows/tourney.tcl tcl/windows/switcher.tcl \
  tcl/search/search.tcl \
    tcl/search/board.tcl tcl/search/header.tcl tcl/search/material.tcl \
  tcl/contrib/ezsmtp/ezsmtp.tcl \
    tcl/tools/email.tcl \
    tcl/tools/import.tcl \
    tcl/tools/optable.tcl tcl/tools/preport.tcl tcl/tools/pinfo.tcl \
    tcl/tools/analysis.tcl tcl/tools/wbdetect.tcl \
    tcl/tools/reper.tcl tcl/tools/graphs.tcl tcl/tools/tablebase.tcl tcl/tools/ptracker.tcl \
  tcl/help/help.tcl tcl/help/tips.tcl \
  tcl/menus.tcl tcl/board.tcl tcl/move.tcl tcl/main.tcl tcl/tools/correspondence.tcl \
    tcl/lang/english.tcl $(LANGUAGES) \
  tcl/tools/uci.tcl tcl/end.tcl tcl/tools/tacgame.tcl tcl/tools/sergame.tcl tcl/tools/calvar.tcl tcl/tools/fics.tcl tcl/tools/opening.tcl tcl/tools/tactics.tcl tcl/tools/reviewgame.tcl tcl/utils/metadata.tcl  tcl/tools/inputengine.tcl tcl/tools/novag.tcl tcl/utils/bibliography.tcl 



### SCRIPTS:
# Small extra programs. Most are written in Tcl using tcscid, but
# a few contributed ones may be in Python or other languages.
#
SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_remote sc_tree scidpgn pgnfix spliteco spf2spi

####################

### Type "make" or "make all" to make all programs:
#
all: all_scid all_engines

all_scid: scid $(SCRIPTS) $(EXECS)

all_engines: phalanx-scid toga

phalanx-scid:
	cd engines/phalanx-scid/ && $(MAKE) && cd ../../

toga:
	cd engines/togaII1.2.1a/src/ && $(MAKE) && cd ../../

### To copy all executables to $BINDIR, with read and execute permission 
#   for all users, and put extra files in $SHAREDIR, type "make install".
#

install: install_scid install_engines

install_scid: all_scid
	install -m 755 -d $(DESTDIR)$(SHAREDIR)
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(SHAREDIR)/data/
	install -m 755 scid $(SCRIPTS) $(EXECS) $(DESTDIR)$(BINDIR)
	install -m 644 -p scid.eco $(DESTDIR)$(SHAREDIR)/data/
	install -m 755 -d $(DESTDIR)$(SHAREDIR)/books
	install -m 666 ./books/*.* $(DESTDIR)$(SHAREDIR)/books/
	install -m 755 -d $(DESTDIR)$(SHAREDIR)/bases
	if test -d ./bases; then install -m 666 ./bases/*.* $(DESTDIR)$(SHAREDIR)/bases/ ; fi
	install -m 755 -d $(DESTDIR)$(SHAREDIR)/html
	cp -r ./html/* $(DESTDIR)$(SHAREDIR)/html/

install_engines: all_engines
	install -m 755 -d $(SHAREDIR)/engines
	install -m 755 -d $(SHAREDIR)/engines/phalanx-scid
	install ./engines/phalanx-scid/phalanx-scid $(SHAREDIR)/engines/phalanx-scid
	install -m 755 -d $(SHAREDIR)/engines/togaII1.2.1a
	install ./engines/togaII1.2.1a/src/togaII $(SHAREDIR)/engines/togaII1.2.1a/

uninstall:
	rm -rf $(SHAREDIR)/engines
	rm -rf $(SHAREDIR)/books
	rm -rf $(SHAREDIR)/bases
	rm -rf $(SHAREDIR)/data/
	rm -f $(SHAREDIR)/data/scid.eco
	rm -f $(BINDIR)/scid $(BINDIR)/sc_addmove $(BINDIR)/sc_epgn
	rm -f $(BINDIR)/sc_spell $(BINDIR)/sc_eco $(BINDIR)/sc_import
	rm -f $(BINDIR)/sc_remote $(BINDIR)/sc_tree $(BINDIR)/scidpgn
	rm -f $(BINDIR)/pgnfix $(BINDIR)/spliteco
	rm -f $(BINDIR)/pgnscid $(BINDIR)/tkscid $(BINDIR)/tcscid
	rm -f $(BINDIR)/scmerge $(BINDIR)/scidlet
	rm -rf $(SHAREDIR)/html
	
### To remove Scid files placed in the BINDIR and SHAREDIR directories,
#   type "make distclean".
#
distclean:
	cd $(BINDIR) && rm -f $(EXECS) $(SCRIPTS)
	-rm -f $(SHAREDIR)/scid.eco

### To remove object and executable files: type "make clean".
#
clean:
	rm -f game.* learn* tkscid.so tkscid.dll position.* src/*.o src/zlib/*.o src/zlib/*.a src/polyglot/*.o $(EXECS) scid $(SCRIPTS)
	cd engines/phalanx-scid/ && make clean && cd ../../
	cd engines/togaII1.2.1a/src/ && make clean && cd ../../../
	cd pocket/toga/src/ && make clean && cd ../../../
	cd pocket/toga134/src/ && make clean && cd ../../../
#	cd pocket/toga141SE/src/ && make clean && cd ../../../
	cd pocket/fruit_21/src/ && make clean && cd ../../../
	cd pocket/gambitfruit/src/ && make clean && cd ../../../
	cd pocket/glaurung/src/ && make clean && cd ../../../
	cd pocket/phalanx/src/ && make clean && cd ../../../
	cd pocket/scorpio/src/ && make clean && cd ../../../
	cd pocket/viper01/src/ && make clean && cd ../../../
	cd pocket/greko/src/ && make clean && cd ../../../
	cd pocket/scidlet/src/ && make clean && cd ../../../
#	cd pocket/robbolito/src/ && make clean && cd ../../../
#	cd pocket/stockfish/src/ && make clean && cd ../../../
	rm -f pocket/toga.exe pocket/glaurung.exe
	rm -rf pocket/scid_pocket

### To make the executable files smaller: type "make strip".
#
strip:
	strip $(EXECS)

### To compress scid and executables with gzexe: type "make gzexe".
#
gzexe:
	gzexe $(EXECS) scid


scid: $(TCLS)
	rm -f ./scid
	cat $(TCLS) > ./scid
	chmod +x scid

sc_addmove: scripts/sc_addmove.tcl
	cp scripts/sc_addmove.tcl ./sc_addmove
	chmod +x sc_addmove

sc_epgn: scripts/sc_epgn.tcl
	cp scripts/sc_epgn.tcl ./sc_epgn
	chmod +x sc_epgn

## scid 4.3.0.cvs20111216

=== debian/changelog ===
scid (1:4.3.0.cvs20111216-3) unstable; urgency=low

  * Installing the files in scid-data must be done in the debian 
    specific way with dh_install. Scid now installs files in 
    debian/tmp.

 -- Oliver Korff <ok@xynyx.de>  Mon, 23 Jan 2012 22:07:58 +0100

scid (1:4.3.0.cvs20111216-2) unstable; urgency=low

  * In the switch to Source 3.0 format a patch was skipped, which fixed 
    library paths at the debian the ports. This lead to a FTBFS Bug. Thanks to
    Peter Greens patch there is now no patching involved anymore, the magic is 
    done via sed in the rules file and DEB_HOST_MULTIARCH. (Closes: #656789)
  * The split from scid to scid + scid-data had to be done with a Replaces 
    and a Breaks field in the control file. (Closes: #656950)
  * Added the libx11-dev, dpkg-dev (>= 1.16.0) dependency to ensure building 
    environment is right under all circumstances.

 -- Oliver Korff <ok@xynyx.de>  Mon, 23 Jan 2012 17:40:45 +0100

scid (1:4.3.0.cvs20111216-1) unstable; urgency=low

  * New Upstream Version.
  * Removed dependency of oss-compat. libsnack works without. Thanks to 
    Ian Zimmerman for the hint.
  * Switch to Source 3.0 Format. (quilt)
    - Converted patches
    - Converted changes to Makefile to a single patch. (Not sure if this works 
      out all right, or has any side effects.)
    - Removed dpatch build dependency.
    - Set debhelper build depends to (>= 7.0.50~)
  * After forwarding the bug to upstream, they could sort out the issue. 
    And a long mail thread from Harvey Kelly and Joost 't Hart discussed 
    it, to be a Latex problem. Thanks to Joost and others for their 
    patience. (Closes: #640395)

 -- Oliver Korff <ok@xynyx.de>  Fri, 23 Dec 2011 18:50:55 +0100

scid (1:4.3.0.cvs20110714-2) unstable; urgency=low

  * After locating the libX11.so on all additional ports, the 
    FTBFS bug should now be closed. Only the location of libX11.so
    for s390x could not be discovered. I made a wild guess...
    My apologies to Nobuhiro Iwamatsu, he had to reopen this issue.
    (Closes: #633707) 
  * scid.eco and scid_fr.eco and scid_es.eco are in place again.
    A comment from the sources: "eco2epd is now optional extra program 
    NOT compiled by default, since scid now reads the .eco file format 
    directly." I put eco2pgn back, as requested by Gabriele Stilli. 
    Thanks for the bugreport.
    (Closes: #636090)

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Aug 2011 13:21:22 +0200

scid (1:4.3.0.cvs20110714-1) unstable; urgency=low

  * New Upstream sync.
  * Removed .git directory from source tgz. (Closes: #633708)
  * The ports needed to to locate the architecture dependent
    libX11.so libs too. Nobuhiro Iwamatsu helped with a patch.
    (Closes: #633707) 

 -- Oliver Korff <ok@xynyx.de>  Thu, 14 Jul 2011 12:59:10 +0200

scid (1:4.3.0.cvs20110706-2) unstable; urgency=low

  * The configure script needed to locate the architecture dependent 
    libX11.so libs. Therefor the appropriate paths had to be 
    appended. (Closes: #633146)  

 -- Oliver Korff <ok@xynyx.de>  Sat, 09 Jul 2011 20:16:42 +0200

scid (1:4.3.0.cvs20110706-1) unstable; urgency=low

  * New Upstream Version.
  * Scid Upstream is now a git repository, see copyright.
  * Updated standards version to 3.9.2
  * Recheck of bug #584923, "flipping board breakes animation". This 
    is working fine now, even in docked mode. (Closes: #584923).

 -- Oliver Korff <ok@xynyx.de>  Wed, 06 Jul 2011 12:56:48 +0200

scid (1:4.3.0.cvs20110228-1) unstable; urgency=low

  * New Upstream Version.
  * I re-checked this matter thoroughly and the bug can not be reproduced 
    in this version. If the book is enabled, the book moves are skipped, 
    while (automatically) annotating. (Closes: #604421)
  * Makefile and Makefile.conf are still not included in the patch system.

 -- Oliver Korff <ok@xynyx.de>  Mon, 28 Feb 2011 09:58:02 +0100

scid (1:4.2.2.cvs20110111-1) unstable; urgency=low

  * New Upstream Version.

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Jan 2011 12:18:27 +0100

scid (1:4.2.2.cvs20100824-1) unstable; urgency=low

  * New Upstream Version, this is a 4.3 pre-release snapshot.
  * Added libtk-img to the runtime dependencies. This enables 
    some more chess-set possibilities.
  * Updated standards version to 3.9.1
  * Added a hack to avoid breaking the dh_clean target. I apply 
    a Makefile patch before and afterwards, this is likely to break 
    in every new version. I will clean this thing up, with 4.3 and 
    maybe switch from dpatch to quilt.

 -- Oliver Korff <ok@xynyx.de>  Tue, 24 Aug 2010 09:21:31 +0200

scid (1:4.2.2.cvs20100202-2) unstable; urgency=low

  * No interesting updates to the man CVS, so no new upstream version.
  * Added a suggest to the spelling/rating-data packages
  * The integration of phalanx has now been carefully tested. The bug 
    reported 2001 is not longer existing. (Closes: #107658) 
  * lintian now searches for spelling errors in binarys. Corrected one 
    error of this type.

 -- Oliver Korff <ok@xynyx.de>  Sat, 20 Feb 2010 11:30:54 +0100

scid (1:4.2.2.cvs20100202-1) unstable; urgency=low

  * New upstream version. The "Help/About Scid" menu states, that 
    we have a 4.2.2 development version.
  * The database conversion with pgnscid was successfully 
    tested. (Closes: #567946)
  * Upgrade to policy standards version 3.8.4
  * Prepared scid to find spelling data in /usr/share/scid/data

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Feb 2010 21:33:40 +0100

scid (1:4.2.0.cvs20100120-1) unstable; urgency=low

  * New upstream version. The "Help/About Scid" menu states, that we 
    work with a 4.2 developmet version.
  * Added a misc:Depends to the depends section in control
  * Changed section from optional to extra to avoid warnings from debcheck,
    because of a depends on oss-compat, which is extra on other architectures
  * Reworked the suggests in control. At first I wanted to avoid the suggest on 


=== debian/control ===
Source: scid
Section: games
Priority: extra
Maintainer: Oliver Korff <ok@xynyx.de>
Homepage: http://scid.sf.net
Build-Depends: debhelper (>= 7.0.50~), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.2

Package: scid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl8.5, tk8.5, zlib1g
Recommends: libsnack2, texlive-games, tdom, libtk-img
Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
Description: chess database with play and training functionality
 Shane's Chess Information Database is a chess database application with
 a graphical user interface. You can browse databases of chess games, 
 edit them and search for games by various criteria. Scid uses its 
 own compact and fast database format, but can convert to and from PGN.
 Its also possible to play live on the internet and practice tactical 
 knowledge.
 .
 This package contains the main program.

Package: scid-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: scid (<=1:4.3.0.cvs20110714-2)
Replaces: scid (<=1:4.3.0.cvs20110714-2)
Recommends: scid (>=1:4.3.0.cvs20111216-1)
Description: data files for scid, the chess database application
 Shane's Chess Information Database is a chess database application with
 a graphical user interface. You can browse databases of chess games,
 edit them and search for games by various criteria. Scid uses its
 own compact and fast database format, but can convert to and from PGN.
 Its also possible to play live on the internet and practice tactical
 knowledge.
 .
 This package contains scids data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
# DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=” -Wl,–as-needed”

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --sourcedirectory=src 

override_dh_auto_configure:
	sed s/x86_64-linux-gnu/$(DEB_HOST_MULTIARCH)/ configure > configure.sed
	chmod 755 configure.sed
	./configure.sed BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
                SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" TB=""

override_dh_auto_install:
	$(MAKE) install_scid
	cp -R $(CURDIR)/sounds/ $(CURDIR)/debian/tmp/scid/usr/share/scid/
	dh_install
#	mv -f $(CURDIR)/debian/scid/usr/share/scid/data/ \
#		$(CURDIR)/debian/scid-data/usr/share/scid/


override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess Makefile
	dh_clean
	rm -f configure.sed

override_dh_auto_build:
	$(MAKE) all_scid

# override_dh_auto_test:
# 	$(TESTCMD)

# override_dh_installman:
# 	dh_installman debian/stockfish.6
